[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.ResetSizes

Resets the internal column sizes.

## Declaration

Source position: grids.pas line 1171

`protected procedure TCustomGrid.ResetSizes; virtual;`

## Description

No actions are performed in the method when the internal list of column sizes has not been allocated, during component streaming, or when the handle has not been allocated for the grid control.

Calls UpdateCachedSizes to recalculate the cached grid information in GCache. Calls CacheVisibleGrid to cache the current visible grid (excluding fixed cells).

Called from the Paint method when the client width or height has changed for the control.